Get alert by ID
curl --request GET \
--url https://api.godiligent.ai/v1/name-screenings/alerts/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.godiligent.ai/v1/name-screenings/alerts/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.godiligent.ai/v1/name-screenings/alerts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "714808a0-faf0-4e0f-a3a3-fbe490a10efd",
"reference": "5jb7h9b1kiu51kbwyrjhog350",
"status": "COMPLETED",
"remediation_status": "REMEDIATED",
"hits": [
{
"reference": "5jb766qtsj0e1kbwyrlh03gpe",
"hit_categories": [
"MEDIA"
],
"evidences": [
{
"type": "DOB",
"categories": [
"DOB_AMBIGUOUS",
"DOB_YEAR_MISMATCH"
],
"supporting_facts": [
{
"predicate": "date_of_birth",
"value": "1974",
"citations": [
{
"name": "ARTICLE",
"url": "https://example.com/article"
}
]
}
]
}
],
"resolution": {
"status": "NOTHING",
"summary": "DOB mismatch - different person",
"author": "DILIGENT",
"action": "COMMENT_FALSE_POSITIVE",
"determination": "FALSE_POSITIVE",
"applied_rule": {
"name": "Date of Birth Mismatch"
}
}
}
],
"created_at": "2024-01-15T09:00:00Z",
"updated_at": "2024-01-15T10:30:00Z",
"alt_reference": "ABIGASQLIM3WR",
"profile_facts": [
{
"predicate": "date_of_birth",
"value": "1974",
"citations": [
{
"name": "ARTICLE",
"url": "https://example.com/article"
}
]
}
]
}Name Screening
Get Alert
Retrieve a name screening alert with enriched evidence and supporting facts
GET
/
v1
/
name-screenings
/
alerts
/
{id}
Get alert by ID
Behavior
- Returns a fully enriched alert including all hits, evidences, and supporting facts
- Each evidence contains
supporting_facts— the specific facts that contributed to the resolution decision UNREMEDIATEDalerts return404to prevent exposure of unprocessed data- The alert must belong to the authenticated customer
Response Shape
The response includesprofile_facts at the alert level — facts about the screened subject.
Each hit contains evidences, which are categorized as PRIMARY_NAME or grouped by evidence category (e.g. DOB, LOCATION). Each evidence contains:
categories— the signal types (e.g.NAME_GIVEN_NAME_EXACT_MATCH,DOB_YEAR_MISMATCH)supporting_facts— the facts that drove the evidence, each with:predicate— e.g.has_name,date_of_birthvalue— the extracted valuecitations— array with one citation indicating the data source (HIT,PROFILE,ARTICLE,REGISTRY, orWEB_SEARCH) and optionally aurl
Authorizations
Path Parameters
Alert ID or reference
Example:
"714808a0-faf0-4e0f-a3a3-fbe490a10efd"
Response
Alert retrieved successfully
Alert unique identifier
Example:
"714808a0-faf0-4e0f-a3a3-fbe490a10efd"
Alert reference from the provider
Example:
"5jb7h9b1kiu51kbwyrjhog350"
Alert status
Example:
"COMPLETED"
Whether all hits have been resolved
Available options:
REMEDIATED, UNREMEDIATED Example:
"REMEDIATED"
List of enriched hits
Show child attributes
Show child attributes
Example:
"2024-01-15T09:00:00Z"
Example:
"2024-01-15T10:30:00Z"
Alternate reference identifier
Example:
"ABIGASQLIM3WR"
Facts about the screened profile (subject of the alert)
Show child attributes
Show child attributes
⌘I